﻿
using System.Runtime.Serialization;

namespace ProjectDumpTruck.Exceptions;

[Serializable]
internal class ObjectAlreadyInCollectionException : ApplicationException
{
    public ObjectAlreadyInCollectionException(int i) : base("Такой объект уже есть в коллекции. Позиция " + i) { }

    public ObjectAlreadyInCollectionException() : base() { }

    public ObjectAlreadyInCollectionException(string message) : base(message) { }

    public ObjectAlreadyInCollectionException(string message, Exception exception) : base(message, exception) { }

    protected ObjectAlreadyInCollectionException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }

}
